Debian Debian-France Debian-Facile Debian-fr.org Forum-Debian.fr Debian ? Communautés

Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 04-04-2022 16:30:53

Benj testDebian
Membre
Inscription : 23-01-2020

problème installation playitslowly

Bonjour à tous,
ça fait quelque temps maintenant que je suis passé à Debian (je suis sous debian 10 (buster)) et que j'en suis vraiment content, ça a donné une seconde vie à mon pc, royal !
Bon le pb c'est que je ne comprends pas toujours tout, heureusement qu'il y a debian-facile ;-)

Alors voilà j'ai installé playitslowly, aucun message d'erreur, tout semble bien se passer. Celui-ci apparaît d'ailleurs dans la barre des tâches, mais lorsque je clique sur l'icône, rien ne se passe... J'essaie donc de le lancer avec un terminal, voici le message d'erreur qui s'affiche :
/home/benjamin/anaconda3/bin/python3: Error while finding module specification for 'playitslowly.app' (ModuleNotFoundError: No module named 'playitslowly')

Je me suis dit que qqch s'était mal passé lors de l'install alors j'ai fait apt-get autoremove, puis j'ai tout mis à jour, d'abord apt-get update, puis apt-get upgrade et comme ça ne marchait toujours pas apt-get dist-upgrade avec réinstall et redémarrage à chaque fois (vieux réflexe de windows, pas sûr que ce soit utile)...
J'ai même fait apt-get -f install au cas où mais là encore je ne suis pas sûr que ce soit utile...

Toujours le même message d'erreur... Je ne sais pas du tout quoi faire d'autre, je suis arrivé au bout de ce que je peux faire tout seul ; j'ai fait de mon mieux avec le peu que je sais, donc si vous pouvez m'aider ce serait vraiment sympa, merci d'avance !

Hors ligne

#2 04-04-2022 17:03:39

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 5.15 (amd64)
(G)UI : Openbox / xfwm4
Inscription : 18-11-2013
Site Web

Re : problème installation playitslowly

Apparemment playitslowly n’est pas lancé sur ton système avec la version fournie par Debian de Python (/usr/bin/python3) mais une version alternative que tu as installé via un autre biais (/home/benjamin/anaconda3/bin/python3). Je te conseille de commencer par le tester avec la version fournie par Debian de Python pour vérifier si tes problèmes viennent de ta version alternative, ou d’autre chose.

Jouer sous Debian ? Facile !

Hors ligne

#3 04-04-2022 19:26:25

Benj testDebian
Membre
Inscription : 23-01-2020

Re : problème installation playitslowly

Merci pour ta réponse, c'est très possible que ce soit ça.
Il y a un moment je me suis amusé à découvrir Python et suivant les conseils d'un tuto j'avais installé anaconda, que je n'utilise plus aujourd'hui. Je vais donc chercher à le désinstaller (j'espère que je ne vais pas trop galérer, je ne me souviens plus du tout de ce que j'ai fait : c'est le pb de faire des choses qu'on ne comprend pas trop, on finit tjrs pas faire une connerie..).
Je vous tiens au courant si j'y arrive et que ça résout le pb, merci encore !

Hors ligne

#4 04-04-2022 19:41:26

Benj testDebian
Membre
Inscription : 23-01-2020

Re : problème installation playitslowly

Bon alors revenir à la version fournie par Debian de python me semble extrêmement compliqué, en revanche j'ai trouvé comment désactiver anaconda : conda deactivate.
Une fois cette commande effectuée, le message d'erreur est le suivant :
/usr/local/bin/python3:  Error while finding module specification for 'playitslowly.app' (ModuleNotFoundError: No module named 'playitslowly')
Dois-je en conclure que le pb ne vient pas d'anaconda ? Ou pas et je dois persévérer pour essayer de revenir à la version d'origine de Python ?
Merci d'avance pour votre réponse !

Hors ligne

#5 04-04-2022 19:45:26

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 5.15 (amd64)
(G)UI : Openbox / xfwm4
Inscription : 18-11-2013
Site Web

Re : problème installation playitslowly

Toujours pas bon, /usr/local/bin/python3 n’est pas non plus la version de Python 3 fournie par Debian wink

Jouer sous Debian ? Facile !

Hors ligne

#6 10-04-2022 18:27:54

Benj testDebian
Membre
Inscription : 23-01-2020

Re : problème installation playitslowly

Merci pour ta réponse, je ne sais pas du tout comment faire...
En cherchant dans DebianFacile je suis tombé là dessus https://debian-facile.org/viewtopic.php?id=7861
J'ai donc tenté ls -l /usr/bin/pyt*
qui m'indique que j'ai python 2.7 et python 3.7
Est-ce que ce sont les versions d'origine auxquelles je dois revenir ?
Puis j'ai tapé ls -l /usr/local/bin/pyt*
ce qui me donne : python 3.9
Avant d'aller plus loin, ce serait cool si je pouvais avoir confirmation de ça : il faut donc que j'arrive à désinstaller python 3.9 pour revenir à python 3.7 ?

Je me sens un peu con, maintenant que j'ai tout upgradé avec apt-get dist-upgrade, j'ai l'impression que mon pc rame davantage, pas autant qu'avec windows heureusement, mais quand même sensiblement. Du coup je me demande, est-ce que je ne me ferais pas une bonne réinstall histoire de repartir sur du propre ?
Je ne comprends encore pas tout loin de là, mais je pense que je ferais quand même un peu moins n'importe quoi que la première fois...
Mais bon ça me prendrait qd même pas mal de temps donc si j'arrivais (avec votre aide wink car tout seul je ne m'en sors pas) à repasser à la version de python qui va bien ce serait vraiment cool, merci encore Debian-facile de m'aider à réparer mes bêtises !

Hors ligne

#7 10-04-2022 20:16:19

vv222
Administrateur
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : Linux ≥ 5.15 (amd64)
(G)UI : Openbox / xfwm4
Inscription : 18-11-2013
Site Web

Re : problème installation playitslowly

Le souci c’est que sans savoir comment tu as installé /usr/local/bin/python3, ça ne sera pas possible de te guider pour une désinstallation propre de ce build de Python.

En gros il faudrait que tu trouves comment désinstaller les diverses versions alternatives que tu as installées (/home/benjamin/anaconda3/bin/python3 c’est fait, /usr/local/bin/python3 pas encore), ensuite il faut t’assurer que le paquet python3 est installé (dans sa version 3.7 donc sur Debian Buster), et enfin vérifier la sortie des commandes suivantes :

command -v python3

/usr/bin/python3


python3 --version

Python 3.7.3


Jouer sous Debian ? Facile !

Hors ligne

#8 10-04-2022 22:49:43

Benj testDebian
Membre
Inscription : 23-01-2020

Re : problème installation playitslowly

Merci encore pour ta réponse, c'est bien ce que je pensais, ce n'est pas facile...
D'autant que je me souviens que j'avais galéré pour installer python en suivant plusieurs indications d'origines différentes (donc j'ai un peu fait de la merde qd même), donc pas facile pour moi de retrouver ce que j'ai fait...
Je viens de faire un petit essai, après avoir effectué la commande conda deactivate (qui ne me le désinstalle pas mais si ça pouvait suffire ce serait bien), je fais :
command -v python3 ce qui donne /usr/local/bin/python3 donc c'est pas bon (on le savait déjà mais je voulais vérifier)
puis je fais python3 --version et ça me donne Python 3.9.1
Je vais chercher encore un peu si je trouve un moyen de repasser à la version 3.7 , je vous tiens au courant si j'y arrive, et sinon dès que j'ai un peu de temps, grand nettoyage de printemps...

Hors ligne

Pied de page des forums